package com.ruoyi.rocketmq.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 客户端策略关联对象 rm_policy_device_details
 * 
 * @author gyt
 * @date 2025-10-22
 */
public class RmPolicyDeviceDetails extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 客户端ID */
    @Excel(name = "客户端ID")
    private String clientId;

    /** 策略ID */
    @Excel(name = "策略ID")
    private String policyId;

    /** 脚本ID */
    @Excel(name = "脚本ID")
    private String scriptId;

    /** 版本ID */
    @Excel(name = "版本ID")
    private String versionId;

    /** 状态(0-未下发,1-已下发) */
    @Excel(name = "状态(0-未下发,1-已下发)")
    private String policyStatus;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setClientId(String clientId) 
    {
        this.clientId = clientId;
    }

    public String getClientId() 
    {
        return clientId;
    }

    public void setPolicyId(String policyId) 
    {
        this.policyId = policyId;
    }

    public String getPolicyId() 
    {
        return policyId;
    }

    public void setScriptId(String scriptId) 
    {
        this.scriptId = scriptId;
    }

    public String getScriptId() 
    {
        return scriptId;
    }

    public void setVersionId(String versionId) 
    {
        this.versionId = versionId;
    }

    public String getVersionId() 
    {
        return versionId;
    }

    public void setPolicyStatus(String policyStatus) 
    {
        this.policyStatus = policyStatus;
    }

    public String getPolicyStatus() 
    {
        return policyStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("clientId", getClientId())
            .append("policyId", getPolicyId())
            .append("scriptId", getScriptId())
            .append("versionId", getVersionId())
            .append("policyStatus", getPolicyStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
